FS_SETVERIFY(1)

NAME
fs_setverify - Enables or disables data verification for AFS store data operations [Windows only]

SYNOPSIS
fs setverify [-verify] <on/off> [-help]

DESCRIPTION
The fs setverify command sets the status of data verification for store data operations in the AFS client. When enabled, each store data operation is followed by a matching fetch data request. If the data does not match, the operation is repeated. The complement of this command is fs getverify, which shows the status of data verification in the client.

The default data verification status is disabled.

This is a global setting and applies to all subsequent connections to an AFS File Server from this Cache Manager. There is no way to enable or disable enverifyion for specific connections.

CAUTIONS
The fs setverify command is only available on Microsoft Windows. There is no equivalent for other platforms.

OPTIONS

-verify <on/off>
    This is the only option to fs setverify. The -verify option takes either "on" or "off". "on" enables data verification. "off" disables data verification. Since this is the only option, the "-verify" flag may be omitted.

    0 and 1 or "true" and "false" are not supported as replacements for "on" and "off".

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command produces no output other than error messages.

EXAMPLES
There are only four ways to invoke fs setverify. Either of:

   % fs setverify -verify on
   % fs setverify on

will enable data verification and:

   % fs setverify -verify off
   % fs setverify off

will disable data verification.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
fs_getverify(1)

COPYRIGHT
Copyright 2012 Jeffrey Altman <jaltman@your-file-system.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jeffrey Altman for OpenAFS.